9

It's a new installation of Ubuntu 18.04. The Geany editor was installed by apt, but I'm getting a lot of console messages like below during running it:

(geany:4024): Gtk-WARNING **: 17:48:22.265: Error loading theme icon 'document-new' for stock: Icon 'document-new' not present in theme elementary-xfce-darker

(geany:4024): Gtk-WARNING **: 17:48:22.422: Error loading theme icon 'document-open' for stock: Icon 'document-open' not present in theme elementary-xfce-darker

(geany:4024): Gtk-WARNING **: 17:48:22.424: Error loading theme icon 'document-save' for stock: Icon 'document-save' not present in theme elementary-xfce-darker

(geany:4024): Gtk-WARNING **: 17:48:22.424: Error loading theme icon 'document-revert' for stock: 

(geany:4024): Gtk-WARNING **: 17:48:22.425: Error loading theme icon 'window-close' for stock: Icon 'window-close' not present in theme elementary-xfce-darker

(geany:4024): Gtk-WARNING **: 17:48:22.425: Error loading theme icon 'go-previous' for stock: 

(geany:4024): Gtk-WARNING **: 17:48:22.425: Error loading theme icon 'go-next' for stock: 

(geany:4024): Gtk-WARNING **: 17:48:22.427: Error loading theme icon 'system-run' for stock: Icon 'system-run' not present in theme elementary-xfce-darker

(geany:4024): Gtk-WARNING **: 17:48:22.428: Error loading theme icon 'edit-clear' for stock: 

(geany:4024): Gtk-WARNING **: 17:48:22.429: Error loading theme icon 'edit-clear' for stock: 

(geany:4024): Gtk-WARNING **: 17:48:22.429: Error loading theme icon 'application-exit' for stock: Icon 'application-exit' not present in theme elementary-xfce-darker

(geany:4024): Gtk-WARNING **: 17:48:22.435: Error loading theme icon 'window-close' for stock: Icon 'window-close' not present in theme elementary-xfce-darker

(geany:4024): Gtk-WARNING **: 17:48:25.021: Error loading theme icon 'window-close' for stock: Icon 'window-close' not present in theme elementary-xfce-darker

How to fix that?

2
  • 1
    If you use Elementary - it is off-topic here. If not - try to switch your theme elementary-xfce-darker to standard one (such as Radiance or Ambiance). Also you can try to contact your theme developer and ask them about missing icons.
    – N0rbert
    Commented Jul 11, 2018 at 9:16
  • @NOrbert - I know nothing about themes and icons. Are they part of GTK? It looks like my installation of Ubuntu misses something, needed for Geany
    – HEKTO
    Commented Jul 11, 2018 at 14:30

3 Answers 3

10

I had this problem on 20.04 (WSL). Solved by installing yaru-theme-icon:

sudo apt install yaru-theme-icon

The geany package should depend on yaru-theme-icon, but it doesn't. It's a package management bug.

3
  • 1
    I have the same problem as in the question but I can't find a package yaru-theme-icon in Ubuntu 18.04. This answer is accepted as solution but I don't see how to solve this in 18.04. Do I need to include additional repositories?
    – Ludwig
    Commented Sep 7, 2020 at 15:21
  • 1
    @anol I just had the same issue here on Ubuntu 20.04, and the command in the answer resolved the problem. Are you sure your install went fine and you are getting the same messages?
    – Palo
    Commented Dec 20, 2021 at 19:40
  • this is the correct fix for ubuntu 22.04 too in WSL2 Commented Jun 9, 2022 at 11:17
2

Same problem on a headless 18.04 setup but the theme not being found was menta. Installing the package mate-themes solve the issue in my case so I guess the proper solution for the case in the question would be also to install the missing theme. The package xubuntu-icon-theme seems the best candidate to me as it provides files in /usr/share/icons/elementary-xfce-darker/*.

sudo apt install xubuntu-icon-theme
2

Same problem on Ubuntu 18.04.6 LTS, headless server. In my case, I was still receiving warnings that the Yaru theme was missing. The following package fixed it for me:

sudo apt install adwaita-icon-theme-full

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .